import ComponentView from '../../view/Component.js';
import GlobalModel from '../../model/Global.js';
import ExtensionAPI from '../../core/ExtensionAPI.js';
import { PlaybackSelectModel } from './PlaybackSelectModel.js';
export declare class PlaybackSelectView extends ComponentView {
    static type: "playbackSelect";
    type: "playbackSelect";
    private lineEl;
    private rectEl;
    private imgEl;
    private initPosition;
    private initDownPosition;
    private currentPosition;
    private isDown;
    private isMobile;
    private isMountEvent;
    private mouseIndex;
    ecModel: GlobalModel;
    api: ExtensionAPI;
    playbackSelectModel: PlaybackSelectModel;
    private _rect;
    init(ecModel: GlobalModel, api: ExtensionAPI): void;
    render(playbackSelectModel: PlaybackSelectModel, ecModel: GlobalModel, api: ExtensionAPI): void;
    private _onMouseMove;
    private _onClick;
    private _globalout;
    private _onMousedown;
    private _onMouseUp;
    mountEvent(): void;
    unmountEvent(): void;
    clear(): void;
    dispose(ecModel: GlobalModel, api: ExtensionAPI): void;
}
